javafx.scene.control

## Interface TextInputControl.Content

- All Superinterfaces:
    Observable, ObservableObjectValue<String>, ObservableStringValue, ObservableValue<String>
  Enclosing class:
    TextInputControl

      protected static interface TextInputControl.Content
      extends ObservableStringValue

  Interface representing a text input's content. Since it is an ObservableStringValue, you can also bind to, or observe the content.
  Since:
    JavaFX 2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int start, int end, boolean notifyListeners)` Removes a sequence of characters from the content.
    `String` | `get(int start, int end)` Retrieves a subset of the content.
    `void` | `insert(int index, String text, boolean notifyListeners)` Inserts a sequence of characters into the content.
    `int` | `length()` Returns the number of characters represented by the content.

    - ### Methods inherited from interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

- - ### Method Detail

    - #### get

          String get(int start,
                     int end)

      Retrieves a subset of the content.
      Parameters:
        `start` -
        `end` -

    - #### insert

          void insert(int index,
                      String text,
                      boolean notifyListeners)

      Inserts a sequence of characters into the content.
      Parameters:
        `index` -
        `text` -
      Since:
        JavaFX 2.1

    - #### delete

          void delete(int start,
                      int end,
                      boolean notifyListeners)

      Removes a sequence of characters from the content.
      Parameters:
        `start` -
        `end` -
      Since:
        JavaFX 2.1

    - #### length

          int length()

      Returns the number of characters represented by the content.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.